Description

In the map composer, items such as pictures can be rotated and aligned with both grid or true north.

Would it be possible to make a similar function for maps?

History

#1 - 2017-07-06 02:27 PM - Giovanni Manghi

- Status changed from Open to Feedback

In the subject you meant to say "map canvas" instead of "map composer"? Subject and description are contradictory.

#2 - 2017-07-06 03:53 PM - Alexander Mason

Not sure I understand what's contradictory, but I'll try to explain better.

With the map composer open,

When you add a map to the canvas,  there is an option to rotate the map to a certain angle (Items properties/map rotation). 

It's Sometimes useful to rotate a map, and align it with true north.

You can do this manually if you know the angle,

but it would certainly be helpful if there was a function to automatically do the same.

#3 - 2017-07-06 04:00 PM - Giovanni Manghi

Alexander Mason wrote:

Not sure I understand what's contradictory, but I'll try to explain better.

With the map composer open,

When you add a map to the canvas,  there is an option to rotate the map to a certain angle (Items properties/map rotation). 

It's Sometimes useful to rotate a map, and align it with true north.

You can do this manually if you know the angle,

but it would certainly be helpful if there was a function to automatically do the same.
I think the misunderstanding here is because the "canvas" is not the map in the map (print) composer. In the print composer you have objects, and you can

have or more "map" objects. The canvas is the area in QGIS main windows where you see your layers. You can also add a north arrow in the QGIS

canvas, is among what are called "decorations". The QGIS canvas can also be rotated, as they are the map objects in the print composer... so is your

request about the map (print) composer or the QGIS canvas?

#4 - 2017-07-06 05:55 PM - Alexander Mason

Giovanni Manghi wrote:

so is your request about the map (print) composer or the QGIS canvas?

It is all about the map composer.

#5 - 2017-07-06 07:47 PM - Giovanni Manghi

- Subject changed from Align map to true north in map composer to Align map objects to true north in map composer

- Description updated

aren't map objects north oriented by default?

#6 - 2017-07-06 09:22 PM - Alexander Mason

Giovanni Manghi wrote:

aren't map objects north oriented by default?

As far as I know, they are oriented to north of the choosen CRS (grid north).

Grid north will often differ from true geographical north (grid declination),

in an UTM projection typically from zero to a couple of degrees.

When composing a map, you sometimes need north on the map to reflect true north, instead of grid north.

Like mentioned before, this can be achived by rotating the map manually, but this is not the optimal solution.

#7 - 2017-08-02 08:29 PM - Alexander Mason

- Status changed from Feedback to Open
